Issues 1 endpoints

GET /orgs/{org_id}/packages/{purl}/issues

Query issues for a specific package version identified by Package URL (purl). Snyk returns only direct vulnerabilities. Transitive vulnerabilities (from dependencies) are not returned because they can vary depending on context.

operationId: Issues_listByPackage

Parameters

Name In Required Type Description
version query optional

The requested version of the endpoint to process the request

purl path optional string

A URI-encoded Package URL (purl). Supported purl types are apk, cargo, cocoapods, composer, deb, gem, generic, golang, hex, maven, npm, nuget, pub, pypi, rpm, and swift. A version for the package is also required.

org_id path required string

Unique identifier for an organization

offset query optional number

Specify the number of results to skip before returning results. Must be greater than or equal to 0. Default is 0.

limit query optional number

Specify the number of results to return. Must be greater than 0 and less than 1000. Default is 1000.

Responses

200

Returns an array of issues

400

Bad Request: A parameter provided as a part of the request was invalid.

401

Unauthorized: the request requires an authentication token.

403

Forbidden: the request requires an authentication token with more or different permissions.

404

Not Found: The resource being operated on could not be found.

409

Conflict: The requested operation conflicts with the current state of the resource in some way.

500

Internal Server Error: An error was encountered while attempting to process the request.

GET /orgs/{org_id}/packages/{purl}/issues

Openapi 2 endpoints

GET /openapi

List available versions of OpenAPI specification

operationId: OpenApi_listAvailableVersions

Responses

200

List of available versions is returned

400

Bad Request: A parameter provided as a part of the request was invalid.

401

Unauthorized: the request requires an authentication token.

404

Not Found: The resource being operated on could not be found.

500

Internal Server Error: An error was encountered while attempting to process the request.

GET /openapi
GET /openapi/{version}

Get OpenAPI specification effective at version.

operationId: OpenApi_getEffectiveVersion

Parameters

Name In Required Type Description
version path required string

The requested version of the API

Responses

200

OpenAPI specification matching requested version is returned

400

Bad Request: A parameter provided as a part of the request was invalid.

401

Unauthorized: the request requires an authentication token.

404

Not Found: The resource being operated on could not be found.

500

Internal Server Error: An error was encountered while attempting to process the request.

GET /openapi/{version}

Orgs 4 endpoints

GET /groups/{group_id}/orgs

Get a paginated list of all the organizations belonging to the group.
By default, this endpoint returns the organizations in alphabetical order of their name.

operationId: Orgs_listGroupOrgs

Parameters

Name In Required Type Description
version query optional

The requested version of the endpoint to process the request

starting_after query optional string

Return the page of results immediately after this cursor

ending_before query optional string

Return the page of results immediately before this cursor

limit query optional integer

Number of results to return per page

group_id path optional string

Unique identifier for group

name query optional string

Only return organizations whose name contains this value. Case insensitive.

slug query optional string

Only return organizations whose slug exactly matches this value. Case sensitive.

Responses

200

A list of organizations in the group.

400

Bad Request: A parameter provided as a part of the request was invalid.

401

Unauthorized: the request requires an authentication token.

403

Forbidden: the request requires an authentication token with more or different permissions.

404

Not Found: The resource being operated on could not be found.

500

Internal Server Error: An error was encountered while attempting to process the request.

GET /groups/{group_id}/orgs
GET /orgs

Get a paginated list of organizations you have access to.

operationId: Orgs_listAccessibleOrganizations

Parameters

Name In Required Type Description
version query optional

The requested version of the endpoint to process the request

starting_after query optional string

Return the page of results immediately after this cursor

ending_before query optional string

Return the page of results immediately before this cursor

limit query optional integer

Number of results to return per page

group_id query optional string

If set, only return organizations within the specified group

is_personal query optional boolean

If true, only return organizations that are not part of a group.

slug query optional string

Only return orgs whose slug exactly matches this value.

name query optional string

Only return orgs whose name contains this value.

expand query optional array

Expand the specified related resources in the response to include their attributes.

Responses

200

A list of organizations you have access to.

400

Bad Request: A parameter provided as a part of the request was invalid.

401

Unauthorized: the request requires an authentication token.

403

Forbidden: the request requires an authentication token with more or different permissions.

404

Not Found: The resource being operated on could not be found.

500

Internal Server Error: An error was encountered while attempting to process the request.

GET /orgs
GET /orgs/{org_id}

Get the full details of an organization.

operationId: Orgs_getDetails

Parameters

Name In Required Type Description
version query optional

The requested version of the endpoint to process the request

org_id path required string

Unique identifier for org

Responses

200

Returns an instance of an organization

400

Bad Request: A parameter provided as a part of the request was invalid.

401

Unauthorized: the request requires an authentication token.

403

Forbidden: the request requires an authentication token with more or different permissions.

404

Not Found: The resource being operated on could not be found.

409

Conflict: The requested operation conflicts with the current state of the resource in some way.

500

Internal Server Error: An error was encountered while attempting to process the request.

GET /orgs/{org_id}
PATCH /orgs/{org_id}

Update the details of an organization

operationId: Orgs_updateDetails

Parameters

Name In Required Type Description
version query optional

The requested version of the endpoint to process the request

org_id path required string

Unique identifier for org

Request Body

application/vnd.api+json
schema OrgsUpdateDetailsRequest
Property Type Required
data object required
id string optional
type string optional
attributes object optional
name string required

Responses

200

Instance of org is updated

204

The operation completed successfully with no content

400

Bad Request: A parameter provided as a part of the request was invalid.

401

Unauthorized: the request requires an authentication token.

403

Forbidden: the request requires an authentication token with more or different permissions.

404

Not Found: The resource being operated on could not be found.

409

Conflict: The requested operation conflicts with the current state of the resource in some way.

500

Internal Server Error: An error was encountered while attempting to process the request.

PATCH /orgs/{org_id}

Projects 4 endpoints

GET /orgs/{org_id}/projects

List all Projects for an Org.

operationId: Projects_listForOrg

Parameters

Name In Required Type Description
org_id path required string

The ID of the org that the projects belong to.

target_id query optional array

Return projects that belong to the provided targets

target_reference query optional string

Return projects that match the provided target reference

target_file query optional string

Return projects that match the provided target file

target_runtime query optional string

Return projects that match the provided target runtime

meta_count query optional string

The collection count.

ids query optional array

Return projects that match the provided IDs.

names query optional array

Return projects that match the provided names.

names_start_with query optional array

Return projects with names starting with the specified prefix.

origins query optional array

Return projects that match the provided origins.

types query optional array

Return projects that match the provided types.

expand query optional array

Expand relationships.

meta.latest_issue_counts query optional boolean

Include a summary count for the issues found in the most recent scan of this project

meta.latest_dependency_total query optional boolean

Include the total number of dependencies found in the most recent scan of this project

cli_monitored_before query optional string

Filter projects uploaded and monitored before this date (encoded value)

cli_monitored_after query optional string

Filter projects uploaded and monitored after this date (encoded value)

importing_user_public_id query optional array

Return projects that match the provided importing user public ids.

tags query optional array

Return projects that match all the provided tags

business_criticality query optional array

Return projects that match all the provided business_criticality value

environment query optional array

Return projects that match all the provided environment values

lifecycle query optional array

Return projects that match all the provided lifecycle values

version query optional

The requested version of the endpoint to process the request

starting_after query optional string

Return the page of results immediately after this cursor

ending_before query optional string

Return the page of results immediately before this cursor

limit query optional integer

Number of results to return per page

Responses

200

A list of projects is returned for the targeted org

400

Bad Request: A parameter provided as a part of the request was invalid.

401

Unauthorized: the request requires an authentication token.

403

Forbidden: the request requires an authentication token with more or different permissions.

404

Not Found: The resource being operated on could not be found.

500

Internal Server Error: An error was encountered while attempting to process the request.

GET /orgs/{org_id}/projects
DELETE /orgs/{org_id}/projects/{project_id}

Delete one project in the organization by project ID.

operationId: Projects_deleteByProjectId

Parameters

Name In Required Type Description
org_id path required string

The ID of the org to which the project belongs to.

project_id path required string

The ID of the project.

version query optional

The requested version of the endpoint to process the request

Responses

204

The project has been deleted

400

Bad Request: A parameter provided as a part of the request was invalid.

401

Unauthorized: the request requires an authentication token.

403

Forbidden: the request requires an authentication token with more or different permissions.

404

Not Found: The resource being operated on could not be found.

500

Internal Server Error: An error was encountered while attempting to process the request.

DELETE /orgs/{org_id}/projects/{project_id}
GET /orgs/{org_id}/projects/{project_id}

Get one project of the organization by project ID.

operationId: Projects_getByProjectId

Parameters

Name In Required Type Description
org_id path required string

The ID of the org to which the project belongs to.

project_id path required string

The ID of the project.

expand query optional array

Expand relationships.

meta.latest_issue_counts query optional boolean

Include a summary count for the issues found in the most recent scan of this project

meta.latest_dependency_total query optional boolean

Include the total number of dependencies found in the most recent scan of this project

version query optional

The requested version of the endpoint to process the request

Responses

200

A project is returned for the targeted org

400

Bad Request: A parameter provided as a part of the request was invalid.

401

Unauthorized: the request requires an authentication token.

403

Forbidden: the request requires an authentication token with more or different permissions.

404

Not Found: The resource being operated on could not be found.

500

Internal Server Error: An error was encountered while attempting to process the request.

GET /orgs/{org_id}/projects/{project_id}
PATCH /orgs/{org_id}/projects/{project_id}

Updates one project of the organization by project ID.

operationId: Projects_updateByProjectId

Parameters

Name In Required Type Description
version query optional

The requested version of the endpoint to process the request

org_id path required string

The ID of the Org the project belongs to.

project_id path required string

The ID of the project to patch.

expand query optional array

Expand relationships.

Request Body

The project attributes to be updated.

application/vnd.api+json
schema PatchProjectRequest
Property Type Required
data object required
id string required
type string required
attributes object required
tags array optional
key string optional
value string optional
lifecycle array optional
environment array optional
test_frequency string optional
business_criticality array optional
relationships object required
owner object optional
data object required

Responses

200

A project is updated for the targeted org

400

Bad Request: A parameter provided as a part of the request was invalid.

401

Unauthorized: the request requires an authentication token.

403

Forbidden: the request requires an authentication token with more or different permissions.

404

Not Found: The resource being operated on could not be found.

500

Internal Server Error: An error was encountered while attempting to process the request.

PATCH /orgs/{org_id}/projects/{project_id}

Sbom 1 endpoints

GET /orgs/{org_id}/projects/{project_id}/sbom

This endpoint lets you retrieve the SBOM document of a software project.
It supports the following formats:

  • CycloneDX version 1.4 in JSON (set format to cyclonedx1.4+json).
  • CycloneDX version 1.4 in XML (set format to cyclonedx1.4+xml).
  • SPDX version 2.3 in JSON (set format to spdx2.3+json).

By default it will respond with an empty JSON:API response.

operationId: Sbom_getProjectDocument

Parameters

Name In Required Type Description
version query optional

The requested version of the endpoint to process the request

org_id path required string

Unique identifier for an organization

project_id path optional string

Unique identifier for a project

format query optional string

The desired SBOM format of the response.

Responses

200

Returns the SBOM document of a project

400

Bad Request: A parameter provided as a part of the request was invalid.

401

Unauthorized: the request requires an authentication token.

403

Forbidden: the request requires an authentication token with more or different permissions.

404

Not Found: The resource being operated on could not be found.

409

Conflict: The requested operation conflicts with the current state of the resource in some way.

500

Internal Server Error: An error was encountered while attempting to process the request.

GET /orgs/{org_id}/projects/{project_id}/sbom

Sastsettings 2 endpoints

GET /orgs/{org_id}/settings/sast

Retrieves the SAST settings for an org

operationId: SastSettings_getForOrg

Parameters

Name In Required Type Description
version query optional

The requested version of the endpoint to process the request

org_id path required string

The id of the org for which we want to retrieve the SAST settings

Responses

200

The SAST settings for the org are being retrieved

400

Bad Request: A parameter provided as a part of the request was invalid.

401

Unauthorized: the request requires an authentication token.

403

Forbidden: the request requires an authentication token with more or different permissions.

404

Not Found: The resource being operated on could not be found.

500

Internal Server Error: An error was encountered while attempting to process the request.

GET /orgs/{org_id}/settings/sast
PATCH /orgs/{org_id}/settings/sast

Enable/Disable the Snyk Code settings for an org

operationId: SastSettings_toggleSnykCodeSettings

Parameters

Name In Required Type Description
version query optional

The requested version of the endpoint to process the request

org_id path required string

The id of the org for which we want to update the Snyk Code setting

Request Body

required
application/vnd.api+json
schema SastSettingsToggleSnykCodeSettingsRequest
Property Type Required
data object required
id string required
type string required
attributes object required
sast_enabled boolean required

Responses

201

The SAST settings for the org are being updated

400

Bad Request: A parameter provided as a part of the request was invalid.

401

Unauthorized: the request requires an authentication token.

403

Forbidden: the request requires an authentication token with more or different permissions.

404

Not Found: The resource being operated on could not be found.

500

Internal Server Error: An error was encountered while attempting to process the request.

PATCH /orgs/{org_id}/settings/sast

Serviceaccounts 12 endpoints

GET /groups/{group_id}/service_accounts

Get all service accounts for a group.

operationId: ServiceAccounts_listGroupServiceAccounts

Parameters

Name In Required Type Description
group_id path required string

The ID of the Snyk Group that owns the service accounts.

starting_after query optional string

Return the page of results immediately after this cursor

ending_before query optional string

Return the page of results immediately before this cursor

limit query optional integer

Number of results to return per page

version query optional

The requested version of the endpoint to process the request

Responses

200

A list of service accounts is returned.

400

Bad Request: A parameter provided as a part of the request was invalid.

401

Unauthorized: the request requires an authentication token.

403

Forbidden: the request requires an authentication token with more or different permissions.

404

Not Found: The resource being operated on could not be found.

500

Internal Server Error: An error was encountered while attempting to process the request.

GET /groups/{group_id}/service_accounts
POST /groups/{group_id}/service_accounts

Create a service account for a group. The service account can be used to generate access tokens. Currently, we only allow group service accounts using default group roles.

operationId: ServiceAccounts_createGroup

Parameters

Name In Required Type Description
group_id path required string

The ID of the Snyk Group that is creating and owns the service account

version query optional

The requested version of the endpoint to process the request

Request Body

required
application/vnd.api+json
schema ServiceAccountsCreateGroupRequest
Property Type Required
data object required
type string required
attributes object required
name string required
role_id string required
jwks_url string optional
auth_type string required
access_token_ttl_seconds number optional

Responses

201

A new service account has been created

400

Bad Request: A parameter provided as a part of the request was invalid.

401

Unauthorized: the request requires an authentication token.

404

Not Found: The resource being operated on could not be found.

500

Internal Server Error: An error was encountered while attempting to process the request.

POST /groups/{group_id}/service_accounts
DELETE /groups/{group_id}/service_accounts/{serviceaccount_id}

Permanently delete a group-level service account by its ID.

operationId: ServiceAccounts_deleteGroupServiceAccount

Parameters

Name In Required Type Description
group_id path required string

The ID of the Snyk Group that owns the service account.

serviceaccount_id path required string

The ID of the service account.

version query optional

The requested version of the endpoint to process the request

Responses

204

Service account was successfully deleted.

400

Bad Request: A parameter provided as a part of the request was invalid.

401

Unauthorized: the request requires an authentication token.

403

Forbidden: the request requires an authentication token with more or different permissions.

404

Not Found: The resource being operated on could not be found.

500

Internal Server Error: An error was encountered while attempting to process the request.

DELETE /groups/{group_id}/service_accounts/{serviceaccount_id}
GET /groups/{group_id}/service_accounts/{serviceaccount_id}

Get a group-level service account by its ID.

operationId: ServiceAccounts_getGroupServiceAccount

Parameters

Name In Required Type Description
group_id path required string

The ID of the Snyk Group that owns the service account.

serviceaccount_id path required string

The ID of the service account.

version query optional

The requested version of the endpoint to process the request

Responses

200

Service account is returned.

400

Bad Request: A parameter provided as a part of the request was invalid.

401

Unauthorized: the request requires an authentication token.

403

Forbidden: the request requires an authentication token with more or different permissions.

404

Not Found: The resource being operated on could not be found.

500

Internal Server Error: An error was encountered while attempting to process the request.

GET /groups/{group_id}/service_accounts/{serviceaccount_id}
PATCH /groups/{group_id}/service_accounts/{serviceaccount_id}

Update the name of a group’s service account by its ID.

operationId: ServiceAccounts_updateGroupNameById

Parameters

Name In Required Type Description
group_id path required string

The ID of the Snyk Group that owns the service account.

serviceaccount_id path required string

The ID of the service account.

version query optional

The requested version of the endpoint to process the request

Request Body

required
application/vnd.api+json
schema ServiceAccountsUpdateGroupNameByIdRequest
Property Type Required
data object required
id string required
type string required
attributes object required
name string required

Responses

200

Service account is returned.

400

Bad Request: A parameter provided as a part of the request was invalid.

401

Unauthorized: the request requires an authentication token.

403

Forbidden: the request requires an authentication token with more or different permissions.

404

Not Found: The resource being operated on could not be found.

500

Internal Server Error: An error was encountered while attempting to process the request.

PATCH /groups/{group_id}/service_accounts/{serviceaccount_id}
POST /groups/{group_id}/service_accounts/{serviceaccount_id}/secrets

Manage the client secret of a group service account by the service account ID.

operationId: ServiceAccounts_manageClientSecret

Parameters

Name In Required Type Description
group_id path required string

The ID of the Snyk Group that owns the service account.

serviceaccount_id path required string

The ID of the service account.

version query optional

The requested version of the endpoint to process the request

Request Body

required
application/vnd.api+json
schema ServiceAccountsManageClientSecretRequest
Property Type Required
data object required
type string required
attributes object required
mode string required
secret string optional

Responses

200

Service account client secret has been updated.

400

Bad Request: A parameter provided as a part of the request was invalid.

401

Unauthorized: the request requires an authentication token.

403

Forbidden: the request requires an authentication token with more or different permissions.

404

Not Found: The resource being operated on could not be found.

500

Internal Server Error: An error was encountered while attempting to process the request.

POST /groups/{group_id}/service_accounts/{serviceaccount_id}/secrets
GET /orgs/{org_id}/service_accounts

Get all service accounts for an organization.

operationId: ServiceAccounts_listOrganizationServiceAccounts

Parameters

Name In Required Type Description
org_id path required string

The ID of the Snyk Organization that owns the service accounts.

starting_after query optional string

Return the page of results immediately after this cursor

ending_before query optional string

Return the page of results immediately before this cursor

limit query optional integer

Number of results to return per page

version query optional

The requested version of the endpoint to process the request

Responses

200

A list of service accounts is returned.

400

Bad Request: A parameter provided as a part of the request was invalid.

401

Unauthorized: the request requires an authentication token.

403

Forbidden: the request requires an authentication token with more or different permissions.

404

Not Found: The resource being operated on could not be found.

500

Internal Server Error: An error was encountered while attempting to process the request.

GET /orgs/{org_id}/service_accounts
POST /orgs/{org_id}/service_accounts

Create a service account for an organization. The service account can be used to generate access tokens.

operationId: ServiceAccounts_createForOrganization

Parameters

Name In Required Type Description
org_id path required string

The ID of the Snyk Organization that is creating and will own the service account.

version query optional

The requested version of the endpoint to process the request

Request Body

required
application/vnd.api+json
schema ServiceAccountsCreateForOrganizationRequest
Property Type Required
data object required
type string optional
attributes object required
name string required
role_id string required
jwks_url string optional
auth_type string required
access_token_ttl_seconds number optional

Responses

201

A new service account has been created

400

Bad Request: A parameter provided as a part of the request was invalid.

401

Unauthorized: the request requires an authentication token.

404

Not Found: The resource being operated on could not be found.

500

Internal Server Error: An error was encountered while attempting to process the request.

POST /orgs/{org_id}/service_accounts
DELETE /orgs/{org_id}/service_accounts/{serviceaccount_id}

Delete a service account in an organization.

operationId: ServiceAccounts_deleteOrgServiceAccount

Parameters

Name In Required Type Description
org_id path required string

The ID of org to which the service account belongs.

serviceaccount_id path required string

The ID of the service account.

version query optional

The requested version of the endpoint to process the request

Responses

204

The service account has been deleted.

400

Bad Request: A parameter provided as a part of the request was invalid.

401

Unauthorized: the request requires an authentication token.

403

Forbidden: the request requires an authentication token with more or different permissions.

404

Not Found: The resource being operated on could not be found.

500

Internal Server Error: An error was encountered while attempting to process the request.

DELETE /orgs/{org_id}/service_accounts/{serviceaccount_id}
GET /orgs/{org_id}/service_accounts/{serviceaccount_id}

Get an organization-level service account by its ID.

operationId: ServiceAccounts_getOrganizationAccountById

Parameters

Name In Required Type Description
org_id path required string

The ID of the Snyk Organization that owns the service account.

serviceaccount_id path required string

The ID of the service account.

version query optional

The requested version of the endpoint to process the request

Responses

200

Service account is returned.

400

Bad Request: A parameter provided as a part of the request was invalid.

401

Unauthorized: the request requires an authentication token.

403

Forbidden: the request requires an authentication token with more or different permissions.

404

Not Found: The resource being operated on could not be found.

500

Internal Server Error: An error was encountered while attempting to process the request.

GET /orgs/{org_id}/service_accounts/{serviceaccount_id}
PATCH /orgs/{org_id}/service_accounts/{serviceaccount_id}

Update the name of an organization-level service account by its ID.

operationId: ServiceAccounts_updateOrganizationServiceAccountName

Parameters

Name In Required Type Description
org_id path required string

The ID of the Snyk Organization that owns the service account.

serviceaccount_id path required string

The ID of the service account.

version query optional

The requested version of the endpoint to process the request

Request Body

required
application/vnd.api+json
schema ServiceAccountsUpdateOrganizationServiceAccountNameRequest
Property Type Required
data object required
id string required
type string required
attributes object required
name string required

Responses

200

Service account is returned.

400

Bad Request: A parameter provided as a part of the request was invalid.

401

Unauthorized: the request requires an authentication token.

403

Forbidden: the request requires an authentication token with more or different permissions.

404

Not Found: The resource being operated on could not be found.

500

Internal Server Error: An error was encountered while attempting to process the request.

PATCH /orgs/{org_id}/service_accounts/{serviceaccount_id}
POST /orgs/{org_id}/service_accounts/{serviceaccount_id}/secrets

Manage the client secret of an organization-level service account by the service account ID.

operationId: ServiceAccounts_manageClientSecretForOrganizationServiceAccount

Parameters

Name In Required Type Description
org_id path required string

The ID of the Snyk Organization that owns the service account.

serviceaccount_id path required string

The ID of the service account.

version query optional

The requested version of the endpoint to process the request

Request Body

required
application/vnd.api+json
schema ServiceAccountsManageClientSecretForOrganizationServiceAccountRequest
Property Type Required
data object required
type string required
attributes object required
mode string required
secret string optional

Responses

200

Service account client secret has been updated.

400

Bad Request: A parameter provided as a part of the request was invalid.

401

Unauthorized: the request requires an authentication token.

403

Forbidden: the request requires an authentication token with more or different permissions.

404

Not Found: The resource being operated on could not be found.

500

Internal Server Error: An error was encountered while attempting to process the request.

POST /orgs/{org_id}/service_accounts/{serviceaccount_id}/secrets

Slack 2 endpoints

GET /orgs/{org_id}/slack_app/{tenant_id}/channels

Requires the Snyk Slack App to be set up for this org, will retrieve a list of channels the Snyk Slack App can access. Note that it is currently only possible to page forwards through this collection, no prev links will be generated and the ending_before parameter will not function.

operationId: Slack_getChannels

Parameters

Name In Required Type Description
starting_after query optional string

Return the page of results immediately after this cursor

ending_before query optional string

Return the page of results immediately before this cursor

limit query optional integer

Number of results to return per page

version query optional

The requested version of the endpoint to process the request

org_id path required string

Org ID

tenant_id path optional string

Tenant ID

Responses

200

List of Slack channels

400

Bad Request: A parameter provided as a part of the request was invalid.

401

Unauthorized: the request requires an authentication token.

403

Forbidden: the request requires an authentication token with more or different permissions.

404

Not Found: The resource being operated on could not be found.

409

Conflict: The requested operation conflicts with the current state of the resource in some way.

500

Internal Server Error: An error was encountered while attempting to process the request.

GET /orgs/{org_id}/slack_app/{tenant_id}/channels
GET /orgs/{org_id}/slack_app/{tenant_id}/channels/{channel_id}

Requires the Snyk Slack App to be set up for this org. It will return the Slack channel name for the provided Slack channel ID.

operationId: Slack_getChannelNameById

Parameters

Name In Required Type Description
version query optional

The requested version of the endpoint to process the request

org_id path required string

Org ID

channel_id path optional string

Slack Channel ID

tenant_id path optional string

Tenant ID

Responses

200

List of Slack channels

400

Bad Request: A parameter provided as a part of the request was invalid.

401

Unauthorized: the request requires an authentication token.

403

Forbidden: the request requires an authentication token with more or different permissions.

404

Not Found: The resource being operated on could not be found.

409

Conflict: The requested operation conflicts with the current state of the resource in some way.

500

Internal Server Error: An error was encountered while attempting to process the request.

GET /orgs/{org_id}/slack_app/{tenant_id}/channels/{channel_id}

Slacksettings 7 endpoints

DELETE /orgs/{org_id}/slack_app/{bot_id}

Remove the given Slack App integration

operationId: SlackSettings_removeIntegration

Parameters

Name In Required Type Description
version query optional

The requested version of the endpoint to process the request

org_id path required string

Org ID

bot_id path optional

Bot ID

Responses

204

Slack App integration successfully removed

400

Bad Request: A parameter provided as a part of the request was invalid.

401

Unauthorized: the request requires an authentication token.

403

Forbidden: the request requires an authentication token with more or different permissions.

404

Not Found: The resource being operated on could not be found.

409

Conflict: The requested operation conflicts with the current state of the resource in some way.

500

Internal Server Error: An error was encountered while attempting to process the request.

DELETE /orgs/{org_id}/slack_app/{bot_id}
GET /orgs/{org_id}/slack_app/{bot_id}

Get Slack integration default notification settings for the provided tenant ID and bot ID.

operationId: SlackSettings_getDefaultNotificationSettings

Parameters

Name In Required Type Description
version query optional

The requested version of the endpoint to process the request

org_id path required string

Org ID

bot_id path optional

Bot ID

Responses

200

Default settings created successfully

400

Bad Request: A parameter provided as a part of the request was invalid.

401

Unauthorized: the request requires an authentication token.

403

Forbidden: the request requires an authentication token with more or different permissions.

404

Not Found: The resource being operated on could not be found.

409

Conflict: The requested operation conflicts with the current state of the resource in some way.

500

Internal Server Error: An error was encountered while attempting to process the request.

GET /orgs/{org_id}/slack_app/{bot_id}
POST /orgs/{org_id}/slack_app/{bot_id}

Create new Slack notification default settings for a given tenant.

operationId: SlackSettings_createDefaultNotificationSettings

Parameters

Name In Required Type Description
version query optional

The requested version of the endpoint to process the request

org_id path required string

Org ID

bot_id path optional

Bot ID

Request Body

Create new Slack notification default settings for a tenant.

application/vnd.api+json
schema SettingsRequest
Property Type Required
data object required
type string required
attributes object required
target_channel_id string required
severity_threshold string required

Responses

201

Default settings created successfully

400

Bad Request: A parameter provided as a part of the request was invalid.

401

Unauthorized: the request requires an authentication token.

403

Forbidden: the request requires an authentication token with more or different permissions.

404

Not Found: The resource being operated on could not be found.

409

Conflict: The requested operation conflicts with the current state of the resource in some way.

500

Internal Server Error: An error was encountered while attempting to process the request.

POST /orgs/{org_id}/slack_app/{bot_id}
GET /orgs/{org_id}/slack_app/{bot_id}/projects

Slack notification settings overrides for projects. These settings overrides the default settings configured for the tenant.

operationId: SlackSettings_getOverridesForProjects

Parameters

Name In Required Type Description
version query optional

The requested version of the endpoint to process the request

starting_after query optional string

Return the page of results immediately after this cursor

ending_before query optional string

Return the page of results immediately before this cursor

limit query optional integer

Number of results to return per page

org_id path required string

Org ID

bot_id path optional

Bot ID

Responses

200

Return default settings for a tenant

400

Bad Request: A parameter provided as a part of the request was invalid.

401

Unauthorized: the request requires an authentication token.

403

Forbidden: the request requires an authentication token with more or different permissions.

404

Not Found: The resource being operated on could not be found.

409

Conflict: The requested operation conflicts with the current state of the resource in some way.

500

Internal Server Error: An error was encountered while attempting to process the request.

GET /orgs/{org_id}/slack_app/{bot_id}/projects
DELETE /orgs/{org_id}/slack_app/{bot_id}/projects/{project_id}

Remove Slack settings override for a project.

operationId: SlackSettings_removeProjectOverride

Parameters

Name In Required Type Description
version query optional

The requested version of the endpoint to process the request

org_id path required string

Org ID

project_id path required string

Project ID

bot_id path optional

Bot ID

Responses

204

Slack settings override for the project removed successfully.

400

Bad Request: A parameter provided as a part of the request was invalid.

401

Unauthorized: the request requires an authentication token.

403

Forbidden: the request requires an authentication token with more or different permissions.

404

Not Found: The resource being operated on could not be found.

409

Conflict: The requested operation conflicts with the current state of the resource in some way.

500

Internal Server Error: An error was encountered while attempting to process the request.

DELETE /orgs/{org_id}/slack_app/{bot_id}/projects/{project_id}
PATCH /orgs/{org_id}/slack_app/{bot_id}/projects/{project_id}

Update Slack notification settings for a project.

operationId: SlackSettings_updateNotificationSettingsForProject

Parameters

Name In Required Type Description
version query optional

The requested version of the endpoint to process the request

org_id path required string

Org ID

bot_id path optional

Bot ID

project_id path required string

Project ID

Request Body

Update existing project specific settings for a project.

application/vnd.api+json
schema ProjectSettingsPatchRequest
Property Type Required
data object optional
id string required
type string required
attributes object required
is_active boolean optional
target_channel_id string optional
severity_threshold string optional

Responses

200

Slack notification settings for a project updated successfully.

400

Bad Request: A parameter provided as a part of the request was invalid.

401

Unauthorized: the request requires an authentication token.

403

Forbidden: the request requires an authentication token with more or different permissions.

404

Not Found: The resource being operated on could not be found.

409

Conflict: The requested operation conflicts with the current state of the resource in some way.

500

Internal Server Error: An error was encountered while attempting to process the request.

PATCH /orgs/{org_id}/slack_app/{bot_id}/projects/{project_id}
POST /orgs/{org_id}/slack_app/{bot_id}/projects/{project_id}

Create Slack settings override for a project.

operationId: SlackSettings_projectOverride

Parameters

Name In Required Type Description
version query optional

The requested version of the endpoint to process the request

org_id path required string

Org ID

project_id path required string

Project ID

bot_id path optional

Bot ID

Request Body

Create new Slack notification default settings for a tenant.

application/vnd.api+json
schema SettingsRequest
Property Type Required
data object required
type string required
attributes object required
target_channel_id string required
severity_threshold string required

Responses

201

Project settings created successfully

400

Bad Request: A parameter provided as a part of the request was invalid.

401

Unauthorized: the request requires an authentication token.

403

Forbidden: the request requires an authentication token with more or different permissions.

404

Not Found: The resource being operated on could not be found.

409

Conflict: The requested operation conflicts with the current state of the resource in some way.

500

Internal Server Error: An error was encountered while attempting to process the request.

POST /orgs/{org_id}/slack_app/{bot_id}/projects/{project_id}

Targets 3 endpoints

GET /orgs/{org_id}/targets

Get a list of an organization’s targets.

operationId: Targets_listByOrgId

Parameters

Name In Required Type Description
version query optional

The requested version of the endpoint to process the request

starting_after query optional string

Return the page of results immediately after this cursor

ending_before query optional string

Return the page of results immediately before this cursor

count query optional boolean

Calculate total amount of filtered results

limit query optional integer

Number of results to return per page

org_id path required string

The id of the org to return a list of targets

is_private query optional boolean

Return targets that match the provided value of is_private

exclude_empty query optional boolean

Return only the targets that has projects

url query optional string

Return targets that match the provided remote_url.

source_types query optional array

Return targets that match the provided source_types

display_name query optional string

Return targets with display names starting with the provided string

created_gte query optional string

Return only targets which have been created at or after the specified date.

Responses

200

A list of targets is returned for the targeted org

400

Bad Request: A parameter provided as a part of the request was invalid.

401

Unauthorized: the request requires an authentication token.

403

Forbidden: the request requires an authentication token with more or different permissions.

404

Not Found: The resource being operated on could not be found.

500

Internal Server Error: An error was encountered while attempting to process the request.

GET /orgs/{org_id}/targets
DELETE /orgs/{org_id}/targets/{target_id}

Delete the specified target.

operationId: Targets_deleteById

Parameters

Name In Required Type Description
version query optional

The requested version of the endpoint to process the request

org_id path required string

The id of the org to delete

target_id path required string

The id of the target to delete

Responses

204

The target is deleted with all projects, if it is found in the specified org.

400

Bad Request: A parameter provided as a part of the request was invalid.

401

Unauthorized: the request requires an authentication token.

404

Not Found: The resource being operated on could not be found.

500

Internal Server Error: An error was encountered while attempting to process the request.

DELETE /orgs/{org_id}/targets/{target_id}
GET /orgs/{org_id}/targets/{target_id}

Get a specified target for an organization.

operationId: Targets_getById

Parameters

Name In Required Type Description
version query optional

The requested version of the endpoint to process the request

org_id path required string

The id of the org to return the target from

target_id path required string

The id of the target to return

Responses

200

A single target is returned if it is found in the specified org

400

Bad Request: A parameter provided as a part of the request was invalid.

401

Unauthorized: the request requires an authentication token.

404

Not Found: The resource being operated on could not be found.

500

Internal Server Error: An error was encountered while attempting to process the request.

GET /orgs/{org_id}/targets/{target_id}